> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Agent Information
> Get the Livechat agent data according to the path variables. To get the `rid` and `token` values, call the Get Rooms endpoint to retrieve the details of all rooms.
## OpenAPI
````json GET /api/v1/livechat/agent.info/{rid}/{token}
{
"openapi": "3.0.0",
"info": {
"version": "1.0.0",
"title": "Omnichannel"
},
"servers": [
{
"url": "https://apiexplorer.support.rocket.chat"
}
],
"tags": [
{
"name": "Omnichannel Users"
},
{
"name": "Omnichannel Agents"
},
{
"name": "Omnichannel Monitors"
},
{
"name": "Omnichannel Visitors"
},
{
"name": "Omnichannel Contacts"
},
{
"name": "Omnichannel Rooms"
},
{
"name": "Omnichannel Departments"
},
{
"name": "Omnichannel Custom Fields"
},
{
"name": "Omnichannel Business Hours"
},
{
"name": "Omnichannel Priorities"
},
{
"name": "Omnichannel Tags"
},
{
"name": "Omnichannel Units"
},
{
"name": "SLA Policies"
},
{
"name": "Canned Responses"
},
{
"name": "Omnichannel Transcript"
},
{
"name": "Omnichannel Statistics"
},
{
"name": "Omnichannel Agent Stats"
},
{
"name": "Omnichannel Dashboards"
},
{
"name": "Reports"
},
{
"name": "Omnichannel Inquiries"
},
{
"name": "Omnichannel Webhooks"
},
{
"name": "Livechat"
},
{
"name": "Livechat Appearance"
},
{
"name": "Livechat Triggers"
},
{
"name": "Livechat Messages"
},
{
"name": "Livechat Page Visited"
}
],
"paths": {
"/api/v1/livechat/agent.info/{rid}/{token}": {
"get": {
"summary": "Get Agent Information",
"description": "Get the Livechat agent data according to the path variables. To get the `rid` and `token` values, call the Get Rooms endpoint to retrieve the details of all rooms.",
"operationId": "get-api-v1-livechat-agent",
"parameters": [
{
"name": "rid",
"in": "path",
"description": "The room ID.",
"required": true,
"schema": {
"type": "string"
},
"example": "zRAeTszXor8CCPceB"
},
{
"name": "token",
"in": "path",
"description": "The visitor token.",
"required": true,
"schema": {
"type": "string"
},
"example": "iNKE8a6k6cjbqWhWd"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"agent": {
"type": "object",
"properties": {
"_id": {
"type": "string"
},
"emails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"address": {
"type": "string"
},
"verified": {
"type": "boolean"
}
}
}
},
"status": {
"type": "string"
},
"name": {
"type": "string"
},
"username": {
"type": "string"
},
"livechat": {
"type": "object",
"properties": {
"maxNumberSimultaneousChat": {
"type": "string"
}
}
}
}
},
"success": {
"type": "boolean"
}
}
},
"examples": {
"Success Example": {
"value": {
"agent": {
"_id": "XycfA5CetCPuEjqxw",
"emails": [
{
"address": "agent@rocket.chat",
"verified": true
}
],
"status": "online",
"name": "testAgent",
"username": "test.agent",
"livechat": {
"maxNumberSimultaneousChat": "5"
}
},
"success": true
}
}
}
}
}
}
},
"tags": [
"Omnichannel Agents"
]
}
}
}
}
````